WrongThreadException (Java SE 25 & JDK 25)
Description: declaration: module: java.base, package: java.lang, class: WrongThreadException
Keywords: java.lang.WrongThreadException class

# Class WrongThreadException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.WrongThreadException

All Implemented Interfaces:
  `Serializable`

public final class WrongThreadException extends RuntimeException
Thrown to indicate that a method has been called on the wrong thread.

Since:
  19
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WrongThreadException()`
  Constructs a WrongThreadException with no detail message.
  `WrongThreadException(String s)`
  Constructs a WrongThreadException with the given detail message.
  `WrongThreadException(String message, Throwable cause)`
  Constructs a WrongThreadException with the given detail message and cause.
  `WrongThreadException(Throwable cause)`
  Constructs a WrongThreadException with the given cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WrongThreadException

    public WrongThreadException()
    Constructs a WrongThreadException with no detail message.

  - ### WrongThreadException

    public WrongThreadException(String s)
    Constructs a WrongThreadException with the given detail message.
    Parameters:
      `s` - the String that contains a detailed message, can be null

  - ### WrongThreadException

    public WrongThreadException(String message, Throwable cause)
    Constructs a WrongThreadException with the given detail message and cause.
    Parameters:
      `message` - the detail message, can be null
      `cause` - the cause, can be null

  - ### WrongThreadException

    public WrongThreadException(Throwable cause)
    Constructs a WrongThreadException with the given cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).
    Parameters:
      `cause` - the cause, can be null